dpkg-query(1)

NAAM
dpkg-query - een gereedschap om te zoeken in de database van dpkg

OVERZICHT
dpkg-query [optie...] commando

BESCHRIJVING
dpkg-query is een gereedschap om informatie te tonen over pakketten die opgenomen zijn in de database van dpkg.

COMMANDO'S

-l, --list [pakketnaampatroon...]
    Alle gekende pakketten opsommen die beantwoorden aan één of meer patronen, ongeacht hun toestand, met daarbij inbegrepen elk reëel of virtueel pakket dat in om het even welk veld over vereistenrelaties (zoals Breaks, Enhances, enz.) vermeld wordt. Indien geen pakketnaampatroon opgegeven werd, som dan alle pakketten uit %ADMINDIR%/status op, met uitzondering van die welke als niet-geïnstalleerd gemarkeerd staan (d.w.z. die welke eerder gewist werden). De normale shell-jokertekens mogen in pakketnaampatroon gebruikt worden. Merk op dat u pakketnaampatroon wellicht tussen aanhalingstekens zult moeten plaatsen om te voorkomen dat de shell aan bestandsnaamexpansie zou doen. Het volgende zal bijvoorbeeld een opsomming geven van alle pakketnamen die beginnen met “libc6”:
      dpkg-query -l 'libc6*'
    De eerste drie kolommen van de uitvoer tonen de gewenste actie, de toestand van het pakket, en fouten, in die volgorde. Gewenste actie:
      u = Onbekend (Unknown)
      i = Installeren (Install)
      h = Handhaven (Hold)
      r = Verwijderen (Remove)
      p = Wissen (Purge)
    Toestand van het pakket:
      n = Niet-geïnstalleerd (Not-installed)
      c = Configuratiebestanden (Config-files)
      H = Half-geïnstalleerd (Half-installed)
      U = Uitgepakt (Unpacked)
      F = Half-geconfigureerd (Half-configured)
      W = Triggers-afgewacht (Triggers-awaiting)
      t = Triggers-aanhangig (Triggers-pending)
      i = Geïnstalleerd (Installed)
    Foutvlaggen:
      <leeg> = (geen)
      R = Herinst-nodig (Reinst-required)
    Een toestand die aangeduid wordt met een hoofdletter of een foutletter wijzen erop dat het waarschijnlijk is dat het pakket ernstige problemen zal veroorzaken. Gelieve dpkg(1) te raadplegen voor informatie over de bovenstaande toestanden en vlaggen. De indeling van de uitvoer van deze optie kan niet geconfigureerd worden, maar varieert automatisch om te passen binnen de breedte van de terminal. Ze is bedoeld om door personen gelezen te worden, en kan niet gemakkelijk gelezen worden door een machine. Zie -W (--show) en --showformat voor een manier om de indeling van de uitvoer te configureren.

-W, --show [pakketnaampatroon...]
    Net zoals de optie --list zal dit alle pakketten opsommen die met het opgegeven patroon overeenkomen. De uitvoer kan evenwel aangepast worden met behulp van de optie --showformat. De standaardindeling van de uitvoer gebruikt één regel per pakket dat gevonden werd, waarbij elke regel de naam (uitgebreid met de architectuurkwalificatie voor pakketten van het type Multi-Arch same) en de geïnstalleerde versie van het pakket bevat, onderling gescheiden door een tab.

-s, --status [pakketnaam...]
    Rapporteert over de status van het opgegeven pakket. Dit geeft gewoon het item weer uit de databank van de toestand van de geïnstalleerde bestanden. Indien geen pakketnaam vermeld werd, worden alle items uit de databank met toestandsinformatie weergegeven (sinds dpkg 1.19.1). Als meerdere pakketnamen vermeld werden, worden de opgevraagde items met toestandsinformatie van elkaar gescheiden door een lege regel en weergegeven in dezelfde volgorde als die van de argumentenlijst.

-L, --listfiles pakketnaam...
    Som de bestanden op die uit pakketnaam op uw systeem geïnstalleerd werden. Als meerdere pakketnamen opgegeven werden, zullen de gevraagde opsommingen van bestanden van elkaar gescheiden worden door een lege regel en in dezelfde volgorde weergegeven worden als ze in de lijst met argumenten opgegeven werden. Merk nochtans op dat bestanden die aangemaakt worden door pakketspecifieke installatiescripts niet vermeld worden.

--control-list pakketnaam
    Som de controlebestanden op die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.16.5). Die kunnen gebruikt worden als invoerargumenten voor --control-show.

--control-show pakketnaam controlebestand
    Geef het controlebestand dat uit pakketnaam op uw systeem geïnstalleerd werd, weer op de standaarduitvoer (sinds dpkg 1.16.5).

-c, --control-path pakketnaam [controlebestand]
    Som de paden van controlebestanden op die uit pakketnaam op uw systeem geïnstalleerd werden (sinds dpkg 1.15.4). Indien controlebestand opgegeven werd, toon dan enkel het pad voor dat controlebestand als het bestaat. Waarschuwing: dit commando wordt uitgefaseerd, omdat het rechtstreekse toegang verleent tot de interne database van dpkg. Gelieve in plaats daarvan over te schakelen op het gebruik van --control-list en --control-show in alle gevallen waarin deze commando's hetzelfde eindresultaat kunnen geven. Dit commando zal evenwel niet verwijderd worden zolang er nog minstens één geval is waarin dit commando nodig is (d.w.z. als een schadelijk postrm-script van een pakketonderhouder verwijderd moet worden) en zolang daarvoor geen goede oplossing bestaat.

-S, --search zoekpatroon-bestandsnaam...
    Zoek pakketten die bestanden hebben die overeenkomen met het opgegeven patroon. Standaard shell-jokertekens kunnen in het patroon gebruikt worden, waarbij sterretje (*) en vraagteken (?) met een slash overeenkomen en backslash (\) als een maskeerteken (escape-teken) gebruikt wordt. Wanneer het eerste teken in het zoekpatroon-bestandsnaam niet een van de tekens ‘*[?/’ is, dan zal het beschouwd worden als deeltekenreeksvergelijking en zal het impliciet geplaatst worden tussen ‘*’ (zoals in *zoekpatroon-bestandsnaam*). Indien de daaropvolgende tekenreeks een van de tekens ‘*[?\’ bevat, dan zal ze behandeld worden als een glob-patroon, anders zal een eventuele afsluitende ‘/’ of ‘/.’ verwijderd worden en zal er een letterlijke padopzoeking uitgevoerd worden. Dit commando geeft geen extra bestanden weer die door scripts van de pakketonderhouder aangemaakt werden en ook geen alternatieven.

-p, --print-avail [pakketnaam...]
    Toon detailinformatie over pakketten, zoals die in %ADMINDIR%/available te vinden is. Als geen pakketnaam opgegeven werd, worden alle items uit de databank available weergegeven (sinds dpkg 1.19.1). Als meerdere pakketnamen opgegeven worden, worden de gevraagde items uit available onderling gescheiden door een lege regel en weergegeven in dezelfde volgorde als die van de argumentenlijst. Gebruikers van frontends die op APT gebaseerd zijn moeten in de plaats daarvan apt-cache show pakketnaam gebruiken, aangezien het bestand available enkel up-to-date gehouden wordt als men dselect gebruikt.

-?, --help
    Toon info over het gebruik en sluit af.

--version
    Toon de versie en sluit af.

OPTIES

--admindir=map
    Wijzig de locatie van de database van dpkg. De standaardlocatie is %ADMINDIR%.

--load-avail
    Laad ook het bestand available bij het gebruik van de commando's --show en --list. Standaard doorzoeken die nu enkel het bestand status (sinds dpkg 1.16.2).

--no-pager
    Schakelt het gebruik van een pagineringsprogramma uit bij het weergeven van informatie (sinds dpkg 1.19.2).

-f, --showformat=indeling
    Deze optie wordt gebruikt om op te geven in welke indeling --show zijn uitvoer moet produceren (de korte optie sinds dpkg 1.13.1). De indeling is een tekenreeks die vorm geeft aan de uitvoer die voor elk opgesomd pakket gegenereerd wordt. In de indelingstekenreeks markeert “\” een stuurcode:
        \n  regeleinde
        \r  wagenterugloop
        \t  tab
    “\” voor elk ander letterteken onderdrukt de eventuele bijzondere betekenis van dat navolgende teken, hetgeen van nut is voor “\” en “$”. Pakketinformatie kan ingevoegd worden door variabeleverwijzingen naar pakketvelden toe te voegen met behulp van de syntaxis “${veld[;breedte]}”. Velden worden rechts uitgelijnd weergegeven tenzij een negatieve breedte opgegeven werd. In dat geval wordt links uitgelijnd. De volgende velden worden herkend, maar zijn niet noodzakelijk aanwezig in het statusbestand (enkel interne velden en velden die in het binaire pakket opgeslagen worden komen er in terecht):
        Architecture (architectuur)
        Bugs (bugs)
        Conffiles (configuratiebestanden) (intern)
        Config-Version (configuratieversie) (intern)
        Conflicts (is tegenstrijdig met)
        Breaks (maakt defect)
        Depends (vereist)
        Description (beschrijving)
        Enhances (biedt uitbreiding voor)
        Essential (essentieel)
        Filename (bestandsnaam) (intern, frontend gerelateerd)
        Homepage (homepage)
        Installed-Size (geïnstalleerde grootte)
        MD5sum (MD5-controlesom) (intern, frontend gerelateerd)
        MSDOS-Filename (MsDos-bestandsnaam) (intern, frontend gerelateerd)
        Maintainer (onderhouder)
        Origin (origine)
        Package (pakket)
        Pre-Depends (heeft als voorafgaande vereiste)
        Priority (prioriteit)
        Provides (voorziet in)
        Recommends (beveelt aan)
        Replaces (vervangt)
        Revision (revisie) (verouderd)
        Section (sectie)
        Size (grootte) (intern, frontend gerelateerd)
        Source (bron)
        Status (intern)
        Suggests (suggereert)
        Tag (gewoonlijk niet in .deb maar in Packages-bestand van pakketbron)
        Triggers-Awaited (triggers-afgewacht) (intern)
        Triggers-Pending (triggers-aanhangig) (intern)
        Version (versie)
    De volgende velden zijn virtueel en worden door dpkg-query gegenereerd uit waarden van andere velden (merk op dat zij namen hebben die niet conform de veldnamen in een controlebestand zijn):

    binary:Package
        Het bevat de naam van het binaire pakket met eventueel een architectuurkwalificatie zoals “libc6:amd64” (sinds dpkg 1.16.2). Er zal een architectuurkwalificatie gebruikt worden om ervoor te zorgen dat de pakketnaam niet ambigu kan zijn, bijvoorbeeld als het pakket een veld Multi-Arch met als waarde same heeft of als het pakket bedoeld is voor een vreemde architectuur.

    binary:Synopsis
        Het bevat de korte beschrijving van het pakket (sinds dpkg 1.19.1).

    binary:Summary
        Dit is een alias voor binary:Synopsis (sinds dpkg 1.16.2).

    db:Status-Abbrev
        Het bevat de verkorte pakketstatus (als drie tekens), zoals “ii ” of “iHR” (sinds dpkg 1.16.2). Zie de beschrijving van het commando --list voor bijkomende toelichting.

    db:Status-Want
        Het bevat de gewenste toestand van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Status
        Het bevat de pakketstatus uitgedrukt in een woord, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db:Status-Eflag
        Het bevat de status-foutvlag van het pakket, onderdeel van het veld Status (sinds dpkg 1.17.11).

    db-fsys:Files
        Het bevat de door regeleinden gescheiden lijst van de elementen van het pakketbestandssysteem (sinds dpkg 1.19.3).

    db-fsys:Last-Modified
        Het bevat de tijdsaanduiding in seconden van het laatste moment waarop de elementen van het pakketbestandssysteem gewijzigd werden (sinds dpkg 1.19.3).

    source:Package
        Het bevat de naam van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    source:Version
        Het bevat het versienummer van het broncodepakket van dit binaire pakket (sinds dpkg 1.16.2).

    source:Upstream-Version
        Het bevat het versienummer van de toeleveraarsbroncode voor dit binaire pakket (sinds dpkg 1.18.16).

    De standaard indelingstekenreeks is “${binary:Package}\t${Version}\n”. In feite kunnen ook alle andere velden die in het statusbestand te vinden zijn (d.w.z. door de gebruiker gedefinieerde velden) opgevraagd worden. Zij zullen evenwel als zodanig weergegeven worden, zonder conversie of foutcontrole. Om de naam van de onderhouder van dpkg en de geïnstalleerde versie te bekomen, kunt u het volgende commando uitvoeren:
      dpkg-query -W -f='${binary:Package} ${Version}\t${Maintainer}\n' dpkg

AFSLUITSTATUS

0   De gevraagde opzoeking werd succesvol uitgevoerd.

1   De gevraagde opzoeking mislukte volledig of gedeeltelijk ten gevolge van het feit dat een bestand of een pakket niet gevonden werd (behalve bij --control-path, --control-list en --control-show waarvoor dit soort fouten fataal is).

2   Fatale of onherstelbare fout die te wijten is aan ongeldig gebruik van de commandoregel of aan interacties met het systeem, zoals het benaderen van de database, het toewijzen van geheugen, enz.

OMGEVING

  Externe omgeving

SHELL
    Stelt het uit te voeren programma in wanneer een commando via een shell voortgebracht wordt (sinds dpkg 1.19.2).

PAGER
DPKG_PAGER
    Stelt het te gebruiken pagineringscommando in (sinds dpkg 1.19.1), hetwelk uitgevoerd zal worden met «$SHELL -c». Indien SHELL niet ingesteld is, zal «sh» gebruikt worden. DPKG_PAGER overschrijft de omgevingsvariabele PAGER (sinds dpkg 1.19.2).

DPKG_ADMINDIR
    Indien dit ingesteld werd en de optie --admindir niet gebruikt werd, zal dit gebruikt worden als de datamap voor dpkg.

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

  Interne omgeving

LESS
    Indien niet reeds ingesteld, wordt het als “-FRSXMQ” gedefinieerd door dpkg-query bij het voortbrengen van een pagineringsprogramma (sinds dpkg 1.19.2). Om het standaardgedrag te wijzigen, kan deze variabele vooraf ingesteld worden op een andere waarde, inclusief op een lege tekenreeks, ofwel kunnen de variabelen PAGER of DPKG_PAGER ingesteld worden om specifieke opties uit te schakelen met «-+», bijvoorbeeld DPKG_PAGER="less -+F".

ZIE OOK
dpkg(1).